aboutsummaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-12-17 17:46:15 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-12-17 17:53:22 +1300
commit700ac112a3dd2041de5fc2a6abd3781103c704a8 (patch)
tree91c0a928697f6ddef11312b95d391b5c9afbb5e4 /check
parentc0ddb0f83f6a8c5bb77880323261b7d6fe06e4cc (diff)
downloaddotfiles-700ac112a3dd2041de5fc2a6abd3781103c704a8.tar.gz
Rename all pdksh stuff to ksh
As part of a foray into more active use of ksh and derivatives.
Diffstat (limited to 'check')
-rwxr-xr-xcheck/ksh6
-rwxr-xr-xcheck/pdksh6
2 files changed, 6 insertions, 6 deletions
diff --git a/check/ksh b/check/ksh
new file mode 100755
index 00000000..3136c413
--- /dev/null
+++ b/check/ksh
@@ -0,0 +1,6 @@
+#!/bin/sh
+for ksh in ksh/* ksh/kshrc.d/* ; do
+ [ -f "$ksh" ] || continue
+ ksh -n "$ksh" || exit
+done
+printf 'All ksh scripts parsed successfully.\n'
diff --git a/check/pdksh b/check/pdksh
deleted file mode 100755
index fd1d55b7..00000000
--- a/check/pdksh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/sh
-for pdksh in pdksh/* pdksh/pdkshrc.d/* ; do
- [ -f "$pdksh" ] || continue
- ksh -n "$pdksh" || exit
-done
-printf 'All pdksh scripts parsed successfully.\n'